<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--D: for tests purposes only -->
<!--f:metadata>
      <f:viewParam name="numeroPredial" value="# {consultaconsultaBloqueoPredio.numeroPredial}" required="true"
                   requiredMessage="numero predial is required" />
                   rendered="# {consultaconsultaBloqueoPredio.existPredioBloqueo}"
    </f:metadata-->

<!--
IGAC proyecto SNC

@author 		?
@modified 		juan.agudelo
@description  	página que muestra la información del bloqueo de un predio
@version 		2.0

@param 			updateStringParam 	datos de actualización de padre para previsualización de documentos

@param  detalleBloqueoWVParam  valor del atributo widgetVar del dialog que muestra la ventana con los
detalles del bloqueo

soporte de bloqueos de predio
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="consultaconsultaBloqueoPredioForm">

    <h:panelGrid width="100%">

        <h:panelGrid columns="3" width="100%">
            <h:panelGroup>
                <h:outputLabel value="Número predial: " for="numPredialId"
                               styleClass="outputLabelStyle" />
                <h:outputText id="numPredialId" styleClass="outputTextStyle"
                              value="#{consultaBloqueoPredio.predioForPredioBloqueo.formattedNumeroPredialCompleto}" />
            </h:panelGroup>

            <h:panelGroup>
                <p:spacer width="30" height="0" />
            </h:panelGroup>

            <h:panelGroup>
                <h:outputLabel value="NIP: " for="nipId"
                               styleClass="outputLabelStyle" />
                <h:outputText id="nipId" styleClass="outputTextStyle"
                              value="#{consultaconsultaBloqueoPredio.predioForPredioBloqueo.nip}" />
                <p:spacer width="30" height="0"
                          rendered="#{consultaBloqueoPredio.predioForPredioBloqueo.nip == null}" />

            </h:panelGroup>
        </h:panelGrid>

        <p:spacer width="0" height="15" />
        <h:panelGrid columns="1" width="100%">
            <p:dataTable value="#{consultaBloqueoPredio.predioBloqueos}"
                         var="currentBloqueo" id="res" widgetVar="res" paginator="true"
                         rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         emptyMessage="No se encontraron predios marcados"
                         rowKey="#{currentBloqueo.predio.id}">

                <f:facet name="header">  
                    Tabla resumen de marcación del predio
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Tipo de marcación								
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.tipoBloqueo}" />
                </p:column>				

                <p:column>
                    <f:facet name="header">
                        RT								
                    </f:facet>
                    <h:selectBooleanCheckbox  
                        value="#{currentBloqueo.restitucionTierras eq 'SI' ? 'true' : 'false'}"  disabled="true"/>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha inicial								
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.fechaInicioBloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha final							
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.fechaTerminaBloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha Envio						
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.fechaEnvio}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                           locale="es" />
                    </h:outputText>
                </p:column>                                    


                <p:column>
                    <f:facet name="header">
                        Fecha Recibo						
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.fechaRecibido}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora}"
                                           locale="es" />
                    </h:outputText>
                </p:column>                                    

                <p:column>
                    <f:facet name="header">
                        Número Radicación							
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.numeroRadicacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Departamento							
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.departamento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Municipio							
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.municipio.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Entidad						
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.nombreEntidad}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Motivo de marcación								
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.motivoBloqueo}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Documento de soporte								
                    </f:facet>

                    <p:commandLink
                        value="#{currentBloqueo.documentoSoporteBloqueo.archivo}"
                        styleClass="commandLinkStyle"
                        oncomplete="prevDocBWV.show();statusDialog2.hide();"
                        onstart="statusDialog2.show();"
                        rendered="#{not empty currentBloqueo.documentoSoporteBloqueo.archivo}"
                        update="#{updateStringParam}:detallesPredioTV:vdBPForm">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{currentBloqueo.documentoSoporteBloqueo}" />

                    </p:commandLink>

                </p:column>

            </p:dataTable>
        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar" title="Cierra esta ventana" oncomplete="#{detalleBloqueoWVParam}.hide()"
                             icon="ui-icon-circle-close" />
            <p:spacer height="0" width="30" />
        </p:outputPanel>


    </h:panelGrid>

</h:form>
